package org.jeecg.modules.geoAnalysis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: qc_jzxx
 * @Author: sugb
 * @Date:   2024-09-09
 * @Version: V1.0
 */
@Data
@TableName("qc_jzxx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="qc_jzxx对象", description="qc_jzxx")
public class QcJzxx implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**政府规划用途*/
	@Excel(name = "政府规划用途", width = 15)
    @ApiModelProperty(value = "政府规划用途")
    private String zfghyt;
	/**价值(单位亩)*/
	@Excel(name = "价值(单位亩)", width = 15)
    @ApiModelProperty(value = "价值(单位亩)")
    private Float jz;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private String remark;
}
